// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#ifndef IRDEVICEAPPUI_H
#define IRDEVICEAPPUI_H

// INCLUDES
#include <aknappui.h>

// FORWARD DECLARATION
class CIRDeviceMainView;

// CLASS DECLARATION

class CIRDeviceAppUi : public CAknAppUi
    {
public: // Constructor and destructor
	void ConstructL();
	~CIRDeviceAppUi();

public: // From AppUi
	void HandleCommandL(TInt aCommand);

	void HandleResourceChangeL(TInt aType);

private: // Member variables
	CIRDeviceMainView* iMainView;
	
	void SearchIrDevicesL();
	};

#endif // IRDEVICEAPPUI_H

// End of File
